<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<div class="op-sidebar">
  <div class="op-sidebar--body">
    <div class="op-sidemenu">
      <ul class="op-sidemenu--items">
        <% top_level_sidebar_menu_items.each do |menu_item| %>
          <li class="op-sidemenu--item">
            <%= menu_item %>
          </li>
        <% end %>
      </ul>

      <div class="op-sidemenu"
           data-controller="menus--expandable-sidemenu"
           data-application-target="dynamic">

        <button class="op-sidemenu--title"
                type="button"
                data-action="click->menus--expandable-sidemenu#toggleContainer">
          <%= t(:label_involvement) %>
          <span class="icon-small icon-arrow-up1"
                aria-hidden="true"
                data-menus--expandable-sidemenu-target="indicator">
          </span>
        </button>

        <ul class="op-sidemenu--items"
            data-menus--expandable-sidemenu-target="container">
          <% involvement_sidebar_menu_items.each do |menu_item| %>
            <li class="op-sidemenu--item">
              <%= menu_item %>
            </li>
          <% end %>
        </ul>
      </div>
    </div>
  </div>

  <div class="op-sidebar--footer">
    <% if (@project && User.current.allowed_in_project?(:create_meetings, @project)) || (@project.nil? && User.current.allowed_in_any_project?(:create_meetings)) %>
      <%= button_to polymorphic_path([:new, @project, :meeting]),
                    { method: :get,
                      class: 'button -primary -expand',
                      aria: { label: t(:label_meeting_new) },
                      title: t(:label_meeting_new) } do %>
        <%= spot_icon('add') %>
        <span><%= t(:label_meeting) %></span>
      <% end %>
    <% end %>
  </div>
</div>
